%global commit 69fedb41f3c41b3c81ba7707c606ce3010a3e445
%global commitdate 20240128
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           clazy
Summary:        Qt oriented code checker based on clang framework
Version:        1.11%{?commitdate:^git%{commitdate}.%{shortcommit}}
Release:    1%{?dist}
License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/sdk/%{name}

%if 0%{?commitdate}
Source0:        %{url}/-/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
%endif

Patch0:         clazy-no-rpath.patch

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: clang-devel llvm-devel
BuildRequires: perl-podlators

Requires: clang(major) = %{clang_major_version}

%description
clazy is a compiler plugin which allows clang to understand Qt semantics.
You get more than 50 Qt related compiler warnings, ranging from unneeded
memory allocations to misusage of API, including fix-its for automatic
refactoring.


%prep
%autosetup -p1 %{?commitdate:-n %{name}-%{commit}}

%build
%cmake
%cmake_build

%install
%cmake_install


%files
%doc HOWTO
%license LICENSES/*
%{_bindir}/clazy
%{_bindir}/clazy-standalone
%dir %{_docdir}/clazy
%{_docdir}/clazy/*
%{_mandir}/man1/clazy.1.gz
%{_libdir}/ClazyPlugin.so
%{_datadir}/metainfo/org.kde.clazy.metainfo.xml


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11^git20240128.69fedb4-1
- initial build
